Index: /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/GravityBombFire.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/GravityBombFire.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/GravityBombFire.h	(revision 10817)
@@ -34,5 +34,5 @@
             virtual ~GravityBombFire();
 
-            virtual void fire();
+            virtual void fire() override;
 
         private:
Index: /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/HsW01.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/HsW01.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/HsW01.h	(revision 10817)
@@ -56,6 +56,6 @@
             virtual ~HsW01();
 
-            virtual void fire();
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void fire() override;
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
         protected:
Index: /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/IceGun.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/IceGun.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/IceGun.h	(revision 10817)
@@ -54,6 +54,6 @@
             virtual ~IceGun();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void fire();
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void fire() override;
             
             inline void setFreezeTime(float freezeTime)
Index: /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/LaserFire.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/LaserFire.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/LaserFire.h	(revision 10817)
@@ -54,5 +54,5 @@
             virtual ~LaserFire() {}
 
-            virtual void fire();
+            virtual void fire() override;
 
         private:
Index: /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/LightningGun.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/LightningGun.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/LightningGun.h	(revision 10817)
@@ -54,5 +54,5 @@
             virtual ~LightningGun();
 
-            virtual void fire();
+            virtual void fire() override;
 
        private:
Index: /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/RocketFire.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/RocketFire.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/RocketFire.h	(revision 10817)
@@ -54,5 +54,5 @@
             virtual ~RocketFire();
 
-            virtual void fire();
+            virtual void fire() override;
 
         private:
Index: /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/RocketFireOld.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/RocketFireOld.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/RocketFireOld.h	(revision 10817)
@@ -54,5 +54,5 @@
             virtual ~RocketFireOld();
 
-            virtual void fire();
+            virtual void fire() override;
 
         private:
Index: /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/SimpleRocketFire.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/SimpleRocketFire.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/SimpleRocketFire.h	(revision 10817)
@@ -53,5 +53,5 @@
             virtual ~SimpleRocketFire();
             void deactivateFire();
-            virtual void fire();
+            virtual void fire() override;
 
         private:
Index: /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/SplitGun.h
===================================================================
--- /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/SplitGun.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/modules/weapons/weaponmodes/SplitGun.h	(revision 10817)
@@ -54,6 +54,6 @@
             virtual ~SplitGun();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void fire();
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void fire() override;
 
             inline void setNumberOfSplits(int numberOfSplits)
Index: /code/branches/cpp11_v2/src/orxonox/Level.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/Level.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/Level.h	(revision 10817)
@@ -47,5 +47,5 @@
             virtual ~Level();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             void playerEntered(PlayerInfo* player);
Index: /code/branches/cpp11_v2/src/orxonox/LevelInfo.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/LevelInfo.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/LevelInfo.h	(revision 10817)
@@ -207,5 +207,5 @@
             virtual ~LevelInfo();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Creates a LevelInfo object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Creates a LevelInfo object through XML.
 
             /**
Index: /code/branches/cpp11_v2/src/orxonox/PlayerManager.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/PlayerManager.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/PlayerManager.h	(revision 10817)
@@ -50,6 +50,6 @@
                 { return this->clients_; }
 
-            void clientConnected(unsigned int clientID);
-            void clientDisconnected(unsigned int clientID);
+            void clientConnected(unsigned int clientID) override;
+            void clientDisconnected(unsigned int clientID) override;
             void disconnectAllClients();
 
Index: /code/branches/cpp11_v2/src/orxonox/Radar.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/Radar.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/Radar.h	(revision 10817)
@@ -54,5 +54,5 @@
         virtual ~Radar();
 
-        virtual void tick(float dt);
+        virtual void tick(float dt) override;
 
         const RadarViewable* getFocus();
Index: /code/branches/cpp11_v2/src/orxonox/Scene.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/Scene.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/Scene.h	(revision 10817)
@@ -51,5 +51,5 @@
             virtual ~Scene();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             void registerVariables();
 
@@ -79,7 +79,7 @@
                 { return this->radar_; }
 
-            inline virtual uint32_t getSceneID() const { return this->getObjectID(); }
+            inline virtual uint32_t getSceneID() const override { return this->getObjectID(); }
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
         private:
Index: /code/branches/cpp11_v2/src/orxonox/chat/ChatHistory.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/chat/ChatHistory.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/chat/ChatHistory.h	(revision 10817)
@@ -82,5 +82,5 @@
        * \param senderID Identification number of the sender
        */
-      virtual void incomingChat(const std::string& message, const std::string& name);
+      virtual void incomingChat(const std::string& message, const std::string& name) override;
 
       /** Synchronize logfile onto the hard drive
Index: /code/branches/cpp11_v2/src/orxonox/chat/ChatInputHandler.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/chat/ChatInputHandler.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/chat/ChatInputHandler.h	(revision 10817)
@@ -125,5 +125,5 @@
        * history window of the full chat window)
        */
-      void incomingChat(const std::string& message, const std::string& name);
+      void incomingChat(const std::string& message, const std::string& name) override;
 
       /** \param full true means show full chat window with history,
Index: /code/branches/cpp11_v2/src/orxonox/chat/ChatManager.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/chat/ChatManager.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/chat/ChatManager.h	(revision 10817)
@@ -55,5 +55,5 @@
             ChatManager(const ChatManager&);
 
-            virtual void incomingChat(const std::string& message, unsigned int sourceID);
+            virtual void incomingChat(const std::string& message, unsigned int sourceID) override;
 
             static ChatManager* singletonPtr_s;
Index: /code/branches/cpp11_v2/src/orxonox/collisionshapes/CollisionShape.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/collisionshapes/CollisionShape.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/collisionshapes/CollisionShape.h	(revision 10817)
@@ -61,5 +61,5 @@
             virtual ~CollisionShape();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             /**
Index: /code/branches/cpp11_v2/src/orxonox/collisionshapes/CompoundCollisionShape.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/collisionshapes/CompoundCollisionShape.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/collisionshapes/CompoundCollisionShape.h	(revision 10817)
@@ -61,5 +61,5 @@
             virtual ~CompoundCollisionShape();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             void attach(CollisionShape* shape);
@@ -70,9 +70,9 @@
             void updateAttachedShape(CollisionShape* shape);
 
-            virtual void changedScale();
+            virtual void changedScale() override;
 
         private:
             void updatePublicShape();
-            inline virtual btCollisionShape* createNewShape() const
+            inline virtual btCollisionShape* createNewShape() const override
                 { assert(false); return nullptr; }
 
Index: /code/branches/cpp11_v2/src/orxonox/collisionshapes/WorldEntityCollisionShape.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/collisionshapes/WorldEntityCollisionShape.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/collisionshapes/WorldEntityCollisionShape.h	(revision 10817)
@@ -46,8 +46,8 @@
 
         protected:
-            virtual void updateParent();
+            virtual void updateParent() override;
 
         private:
-            void parentChanged();
+            void parentChanged() override;
 
             WorldEntity* worldEntityOwner_;
Index: /code/branches/cpp11_v2/src/orxonox/controllers/AIController.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/controllers/AIController.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/controllers/AIController.h	(revision 10817)
@@ -44,5 +44,5 @@
             virtual ~AIController();
 
-            virtual void tick(float dt); //<! Carrying out the targets set in action().
+            virtual void tick(float dt) override; //<! Carrying out the targets set in action().
 
         protected:
Index: /code/branches/cpp11_v2/src/orxonox/controllers/ArtificialController.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/controllers/ArtificialController.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/controllers/ArtificialController.h	(revision 10817)
@@ -42,9 +42,9 @@
             virtual ~ArtificialController();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             void abandonTarget(Pawn* target);
 
-            virtual void changedControllableEntity();
+            virtual void changedControllableEntity() override;
 
             virtual void doFire();
Index: /code/branches/cpp11_v2/src/orxonox/controllers/Controller.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/controllers/Controller.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/controllers/Controller.h	(revision 10817)
@@ -45,5 +45,5 @@
             Controller(Context* context);
             virtual ~Controller();
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             inline void setPlayer(PlayerInfo* player)
                 { this->player_ = player; }
Index: /code/branches/cpp11_v2/src/orxonox/controllers/ControllerDirector.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/controllers/ControllerDirector.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/controllers/ControllerDirector.h	(revision 10817)
@@ -43,7 +43,7 @@
             virtual ~ControllerDirector() { }
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             bool party(bool bTriggered, BaseObject* trigger);
-            virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             inline void setScriptName(const std::string& name) { this->scriptname_ = name; }
Index: /code/branches/cpp11_v2/src/orxonox/controllers/DroneController.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/controllers/DroneController.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/controllers/DroneController.h	(revision 10817)
@@ -53,5 +53,5 @@
             virtual ~DroneController();
 
-            virtual void tick(float dt); //!< The controlling happens here. This method defines what the controller has to do each tick.
+            virtual void tick(float dt) override; //!< The controlling happens here. This method defines what the controller has to do each tick.
 
             void setOwner(Pawn* owner);
Index: /code/branches/cpp11_v2/src/orxonox/controllers/FormationController.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/controllers/FormationController.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/controllers/FormationController.h	(revision 10817)
@@ -50,5 +50,5 @@
       virtual ~FormationController();
 
-      virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+      virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
 
@@ -93,5 +93,5 @@
            { return this->formationMode_; }
 
-      virtual void hit(Pawn* originator, btManifoldPoint& contactpoint, float damage);
+      virtual void hit(Pawn* originator, btManifoldPoint& contactpoint, float damage) override;
 
       FormationController* getMaster( void ) { return myMaster_; }
@@ -99,5 +99,5 @@
       FormationController* getSlave( void ) { return this->slaves_.back(); }
 
-      virtual void changedControllableEntity();
+      virtual void changedControllableEntity() override;
 
   protected:
Index: /code/branches/cpp11_v2/src/orxonox/controllers/HumanController.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/controllers/HumanController.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/controllers/HumanController.h	(revision 10817)
@@ -47,5 +47,5 @@
             virtual ~HumanController();
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
             static void moveFrontBack(const Vector2& value);
Index: /code/branches/cpp11_v2/src/orxonox/controllers/NewHumanController.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/controllers/NewHumanController.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/controllers/NewHumanController.h	(revision 10817)
@@ -45,16 +45,16 @@
             virtual ~NewHumanController();
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
-            virtual void frontback(const Vector2& value);
-            virtual void yaw(const Vector2& value);
-            virtual void pitch(const Vector2& value);
+            virtual void frontback(const Vector2& value) override;
+            virtual void yaw(const Vector2& value) override;
+            virtual void pitch(const Vector2& value) override;
 
             static void accelerate();
             static void decelerate();
 
-            virtual void doFire(unsigned int firemode);
+            virtual void doFire(unsigned int firemode) override;
 
-            virtual void hit(Pawn* originator, btManifoldPoint& contactpoint, float damage);
+            virtual void hit(Pawn* originator, btManifoldPoint& contactpoint, float damage) override;
 
             static void unfire();
@@ -65,7 +65,7 @@
             static void changeMode();
 
-            virtual void changedControllableEntity();
-            virtual void doPauseControl();
-            virtual void doResumeControl();
+            virtual void changedControllableEntity() override;
+            virtual void doPauseControl() override;
+            virtual void doResumeControl() override;
 
             float getCurrentYaw(){ return this->currentYaw_; }
Index: /code/branches/cpp11_v2/src/orxonox/controllers/ScriptController.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/controllers/ScriptController.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/controllers/ScriptController.h	(revision 10817)
@@ -71,5 +71,5 @@
             void setPlayer(PlayerInfo* player) { this->player_ = player; }
            
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
             // LUA interface
Index: /code/branches/cpp11_v2/src/orxonox/controllers/WaypointController.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/controllers/WaypointController.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/controllers/WaypointController.h	(revision 10817)
@@ -44,5 +44,5 @@
             virtual ~WaypointController();
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
         protected:
Index: /code/branches/cpp11_v2/src/orxonox/controllers/WaypointPatrolController.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/controllers/WaypointPatrolController.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/controllers/WaypointPatrolController.h	(revision 10817)
@@ -43,6 +43,6 @@
             virtual ~WaypointPatrolController() {}
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void tick(float dt);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void tick(float dt) override;
 
             inline void setAlertnessRadius(float radius)
Index: /code/branches/cpp11_v2/src/orxonox/gamestates/GSClient.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gamestates/GSClient.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/gamestates/GSClient.h	(revision 10817)
@@ -43,7 +43,7 @@
         ~GSClient();
 
-        void activate();
-        void deactivate();
-        void update(const Clock& time);
+        void activate() override;
+        void deactivate() override;
+        void update(const Clock& time) override;
     };
 }
Index: /code/branches/cpp11_v2/src/orxonox/gamestates/GSGraphics.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gamestates/GSGraphics.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/gamestates/GSGraphics.h	(revision 10817)
@@ -53,7 +53,7 @@
         ~GSGraphics();
 
-        void activate();
-        void deactivate();
-        void update(const Clock& time);
+        void activate() override;
+        void deactivate() override;
+        void update(const Clock& time) override;
 
     private:
Index: /code/branches/cpp11_v2/src/orxonox/gamestates/GSLevel.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gamestates/GSLevel.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/gamestates/GSLevel.h	(revision 10817)
@@ -44,7 +44,7 @@
         ~GSLevel();
 
-        void activate();
-        void deactivate();
-        void update(const Clock& time);
+        void activate() override;
+        void deactivate() override;
+        void update(const Clock& time) override;
 
         static void startMainMenu(void); //!< Starts the MainMenu
Index: /code/branches/cpp11_v2/src/orxonox/gamestates/GSMainMenu.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gamestates/GSMainMenu.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/gamestates/GSMainMenu.h	(revision 10817)
@@ -44,7 +44,7 @@
         ~GSMainMenu();
 
-        void activate();
-        void deactivate();
-        void update(const Clock& time);
+        void activate() override;
+        void deactivate() override;
+        void update(const Clock& time) override;
 
         void setConfigValues();
Index: /code/branches/cpp11_v2/src/orxonox/gamestates/GSMasterServer.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gamestates/GSMasterServer.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/gamestates/GSMasterServer.h	(revision 10817)
@@ -45,7 +45,7 @@
       ~GSMasterServer();
 
-      void activate();
-      void deactivate();
-      void update(const Clock& time);
+      void activate() override;
+      void deactivate() override;
+      void update(const Clock& time) override;
 
     private:
Index: /code/branches/cpp11_v2/src/orxonox/gamestates/GSRoot.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gamestates/GSRoot.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/gamestates/GSRoot.h	(revision 10817)
@@ -44,7 +44,7 @@
         static void printObjects();
 
-        void activate();
-        void deactivate();
-        void update(const Clock& time);
+        void activate() override;
+        void deactivate() override;
+        void update(const Clock& time) override;
 
         // this has to be public because proteced triggers a bug in msvc
@@ -59,5 +59,5 @@
 
     protected:
-        virtual void changedTimeFactor(float factor_new, float factor_old);
+        virtual void changedTimeFactor(float factor_new, float factor_old) override;
 
     private:
Index: /code/branches/cpp11_v2/src/orxonox/gamestates/GSServer.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gamestates/GSServer.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/gamestates/GSServer.h	(revision 10817)
@@ -43,7 +43,7 @@
         ~GSServer();
 
-        void activate();
-        void deactivate();
-        void update(const Clock& time);
+        void activate() override;
+        void deactivate() override;
+        void update(const Clock& time) override;
 
     private:
Index: /code/branches/cpp11_v2/src/orxonox/gamestates/GSStandalone.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gamestates/GSStandalone.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/gamestates/GSStandalone.h	(revision 10817)
@@ -41,7 +41,7 @@
         ~GSStandalone();
 
-        void activate();
-        void deactivate();
-        void update(const Clock& time);
+        void activate() override;
+        void deactivate() override;
+        void update(const Clock& time) override;
 
     private:
Index: /code/branches/cpp11_v2/src/orxonox/gametypes/Asteroids.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gametypes/Asteroids.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/gametypes/Asteroids.h	(revision 10817)
@@ -41,8 +41,8 @@
             virtual ~Asteroids() {}
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
-            virtual void start();
-            virtual void end();
+            virtual void start() override;
+            virtual void end() override;
 
             inline void firstCheckpointReached(bool reached)
@@ -50,5 +50,5 @@
 
         protected:
-            virtual void pawnKilled(Pawn* victim, Pawn* killer = nullptr);
+            virtual void pawnKilled(Pawn* victim, Pawn* killer = nullptr) override;
 
         private:
Index: /code/branches/cpp11_v2/src/orxonox/gametypes/Deathmatch.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gametypes/Deathmatch.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/gametypes/Deathmatch.h	(revision 10817)
@@ -41,12 +41,12 @@
             virtual ~Deathmatch() {}
 
-            virtual void start();
-            virtual void end();
-            virtual void playerEntered(PlayerInfo* player);
-            virtual bool playerLeft(PlayerInfo* player);
-            virtual bool playerChangedName(PlayerInfo* player);
+            virtual void start() override;
+            virtual void end() override;
+            virtual void playerEntered(PlayerInfo* player) override;
+            virtual bool playerLeft(PlayerInfo* player) override;
+            virtual bool playerChangedName(PlayerInfo* player) override;
 
-            virtual void pawnKilled(Pawn* victim, Pawn* killer = nullptr);
-            virtual void playerScored(PlayerInfo* player, int score = 1);
+            virtual void pawnKilled(Pawn* victim, Pawn* killer = nullptr) override;
+            virtual void playerScored(PlayerInfo* player, int score = 1) override;
     };
 }
Index: /code/branches/cpp11_v2/src/orxonox/gametypes/Dynamicmatch.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gametypes/Dynamicmatch.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/gametypes/Dynamicmatch.h	(revision 10817)
@@ -64,12 +64,12 @@
             bool tutorial; //goal: new players receive messages how the new gametype works - later it can be switched off.
 
-            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr); //ok - score function and management of parties
-            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr); //ok - simple
-            virtual void start();
-            virtual void end(); //Wie geht das mit der Punkteausgabe aendern? Z.B: Persoenliche Nachricht?
-            virtual void playerEntered(PlayerInfo* player);
-            virtual void playerStartsControllingPawn(PlayerInfo* player, Pawn* pawn);//is used to initialize the player's party and colour
-            virtual bool playerLeft(PlayerInfo* player);
-            virtual bool playerChangedName(PlayerInfo* player);//unchanged
+            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr) override; //ok - score function and management of parties
+            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr) override; //ok - simple
+            virtual void start() override;
+            virtual void end() override; //Wie geht das mit der Punkteausgabe aendern? Z.B: Persoenliche Nachricht?
+            virtual void playerEntered(PlayerInfo* player) override;
+            virtual void playerStartsControllingPawn(PlayerInfo* player, Pawn* pawn) override;//is used to initialize the player's party and colour
+            virtual bool playerLeft(PlayerInfo* player) override;
+            virtual bool playerChangedName(PlayerInfo* player) override;//unchanged
 
             /*virtual void instructions();
@@ -78,6 +78,6 @@
             void grantPigBoost(SpaceShip* spaceship); // Grant the piggy a boost.
             void resetSpeedFactor(SpaceShip* spaceship);
-            void tick (float dt);// used to end the game
-            SpawnPoint* getBestSpawnPoint(PlayerInfo* player) const;
+            void tick (float dt) override;// used to end the game
+            SpawnPoint* getBestSpawnPoint(PlayerInfo* player) const override;
 
 
Index: /code/branches/cpp11_v2/src/orxonox/gametypes/Gametype.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gametypes/Gametype.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/gametypes/Gametype.h	(revision 10817)
@@ -76,5 +76,5 @@
             void setConfigValues();
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
             inline const GametypeInfo* getGametypeInfo() const
@@ -175,6 +175,6 @@
             virtual void spawnDeadPlayersIfRequested();
 
-            virtual GSLevelMementoState* exportMementoState();
-            virtual void importMementoState(const std::vector<GSLevelMementoState*>& states);
+            virtual GSLevelMementoState* exportMementoState() override;
+            virtual void importMementoState(const std::vector<GSLevelMementoState*>& states) override;
 
             WeakPtr<GametypeInfo> gtinfo_;
